Sublime Text 3中PyV8安装

Sublime Text 3中PyV8安装

最近在使用sublime的时候用到了它里面的emmet插件,然后每次打开的时候会发现它有弹窗提示缺少PyV8。

缺少那当然就想着去下载了咯,下载地址:https://github.com/flier/pyv8,先看看自己的操作系统是什么、是多少位的(查看:计算机->属性),下载对应的版本。可最后下载完成发现不知道怎么安装就很尴尬,尴尬后的小哥哥在这里给出了全套的方法:

首先介绍一下PyV8的下载吧,复制上面的地址在浏览器打开之后会出现下图所示的页面。可以直接点下载,对怕麻烦的小伙伴来说这样比较方便。
图二
下载完成之后打开压缩包,里面包含了各个操作系统对应的PyV8
图三
接下来根据你的电脑操作系统选择对应的压缩包进行解压,如果你的电脑是windows64位操作系统那么就选择pyv8-win64-p3进行解压。

废话不多说,现在上方法:

方法:
以windows64位操作系统为例。打开解压后的pyv8-win64-p3文件选择复制如下图的这两个文件(如果是macos操作系统则复制文件夹里面同样的标注的文件):
图四
文件复制之后,在自己的电脑里找到下面这个目录:C:\Users\Administrator\AppData\Roaming\Sublime Text 3\Packages 然后将刚才复制的文件直接粘贴就完事儿了。复制之后如下图:
图五
在完成上面这些操作之后,我们来进行初步的调试,直接打开sublime text 3
然后页面左下角会出现一个正在连接的样式(也可能会没有,不管它)。然后直接按图操作一波,直接在编辑器里面输入ul>li*3看是否能够扩展:
图六
如果能够成功扩展则表示PyV8已经安装成功了,那么就省事了。(亲测成功)
如果不成功,那么咱们就得拐不少个弯儿了:

找到这个目录:C:\Users\Administrator\AppData\Roaming\Sublime Text 3\ Install Packages 看看有没有PyV8这个文件夹,没有的话就新建一个(注意大小写),然后将上面这个pyv8-win64-p3文件夹粘贴进去,然后重启sublime并打开控制台(crtl+~)看看控制台是否报错,报什么错。由于我一开始做的这个步骤然后控制台有报错:
图七
报错说什么无法从那个啥啥网址下载package,那就还是pyv8-win64-p3文件夹的问题咯,可以试试将pyv8-win64-p3里面的文件单独复制到PyV8文件夹里面然后将pyv8-win64-p3文件夹删掉。然后再次调试一番,看一下能不能成功拓展。如果还没行,可以将pyv8-win64-p3文件夹里面的适配macos的文件夹删掉试试;不行的话,再换种方式试试。到这一步了一定要注意看控制台的报错,然后不要放弃多试几次。我就没有将所有的方式写出来了,一般做完上面的就可以了,要是还不行的小哥哥、小姐姐就自己再调一下哇。

哈哈文章就写到这儿了啦,这是小鹿第一次上传文章呢。欢迎遇到问题的小伙伴私信我,看到一般都会回的。小鹿也是个小白有很多不懂的也常常会迷茫,虽然可能写的东西可能不是很准确不是那么好,但是我虚心接受所有的批评,也愿意和所有的在编程路上探索的小哥哥、小姐姐们共同前进。最后,愿大家前程似锦、未来可期!

©️2020 CSDN 皮肤主题: 1024 设计师:上身试试 返回首页